package com.ss.android.ugc.aweme.notice.api.bean;

import X.0HH;
import android.text.TextUtils;
import com.bytedance.covode.number.Covode;
import com.google.gson.Gson;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.message.model.SimpleUser;
import java.util.HashMap;

public class StrangerNoticeMessage {
    @c(LIZ = "client_msg_id")
    public long clientMsgId;
    @c(LIZ = "content")
    public String content;
    @c(LIZ = "create_time")
    public long createTime;
    @c(LIZ = "device_id")
    public long deviceId;
    @c(LIZ = "ext")
    public String ext;
    @c(LIZ = "from_user")
    public SimpleUser fromUser;
    @c(LIZ = "msg_type")
    public int msgType;
    @c(LIZ = "to_user")
    public SimpleUser toUser;

    static {
        Covode.recordClassIndex(94974);
    }

    public long getClientMsgId() {
        return this.clientMsgId;
    }

    public String getContent() {
        return this.content;
    }

    public long getCreateTime() {
        return this.createTime;
    }

    public long getDeviceId() {
        return this.deviceId;
    }

    public String getExt() {
        return this.ext;
    }

    public SimpleUser getFromUser() {
        return this.fromUser;
    }

    public int getMsgType() {
        return this.msgType;
    }

    public SimpleUser getToUser() {
        return this.toUser;
    }

    public boolean isRecalled() {
        if (TextUtils.isEmpty(this.ext)) {
            return false;
        }
        try {
            if (TextUtils.equals("true", (CharSequence) ((HashMap) new Gson().LIZ(this.ext, HashMap.class)).get("s:is_recalled"))) {
                return true;
            }
            return false;
        } catch (Exception e) {
            0HH.LIZ(e);
            return false;
        }
    }

    public void setClientMsgId(long j) {
        this.clientMsgId = j;
    }

    public void setContent(String str) {
        this.content = str;
    }

    public void setCreateTime(long j) {
        this.createTime = j;
    }

    public void setDeviceId(long j) {
        this.deviceId = j;
    }

    public void setExt(String str) {
        this.ext = str;
    }

    public void setFromUser(SimpleUser simpleUser) {
        this.fromUser = simpleUser;
    }

    public void setMsgType(int i) {
        this.msgType = i;
    }

    public void setToUser(SimpleUser simpleUser) {
        this.toUser = simpleUser;
    }
}
